"""
System-wide constants go here.
"""

import os

MAP_DIR = "maps"
FIRST_MAP = "map001"
IMAGE_DIR = "images"
DIALOG_DIR = "src" + os.sep + "creatures" + os.sep + "editor" + os.sep + "dialogs"
CHARACTER_SPRITESHEET_IMG = "character_sprite_sheet.png"
MAP_EXTENSION = ".map"

# (filename, rows, columns, (ignored indices))
TILESETS = (
    ("tileset_cropped.jpg", 12, 12, []),
    #("rpg_builder_pack/Cave.png", 6, 7, (3, 4, 5)),
    #("rpg_builder_pack/Chimney.png", 6, 3, (3, 4, 5)),
    #("rpg_builder_pack/fireplace_sheet.png", 4, 4, (3, )),
    #("rpg_builder_pack/house1.png", 6, 7, (1, 2, 3, 4, 5)),
    #("rpg_builder_pack/house2.png", 6, 5, (2, 3, 4, 5)),
    #("rpg_builder_pack/house3.png", 6, 4, (5, )),
    #("rpg_builder_pack/house4.png", 6, 4, (1, 2, 3, 4, 5, )),
    #("rpg_builder_pack/inside.png", 6, 8, (1, 2, 3, 4, 5, 6, 7)),
    #("rpg_builder_pack/InsideBuilding.png", 6, 7, (1, 2, 3, 4, 5)),
    #("rpg_builder_pack/outside.png", 6, 7, (2, 3, 4, 5)),
    #("rpg_builder_pack/worldmap.png", 6, 4, (1, 2, 3, 4, 5)),
    )
