import os
from distutils.core import setup
import py2exe

Mydata_files = []
for files in os.listdir('../images/'):
    f1 = '../images/' + files
    if os.path.isfile(f1): # skip directories
        f2 = 'images', [f1]
        Mydata_files.append(f2)
for files in os.listdir('../maps/'):
    f1 = '../maps/' + files
    if os.path.isfile(f1): # skip directories
        f2 = 'maps', [f1]
        Mydata_files.append(f2)
		
setup(
    console=['editor.py', 'game.py', 'creatures/editor/dialogs/open_dialog.py', 
	'creatures/editor/dialogs/save_dialog.py', 
	'creatures/editor/dialogs/teleport_dialog.py', 
	'creatures/editor/dialogs/tile_chooser_dialog.py', 
	'creatures/editor/dialogs/tile_chooser_interface.py'],
    data_files = Mydata_files,
    options={
				
                "py2exe":{
                        "unbuffered": True,
                        "optimize": 2,
						"skip_archive": False, 
						"dll_excludes": [
							"MSVCP90.dll",
							"MSWSOCK.dll",
							"mswsock.dll",
							"powrprof.dll",
						],
						"includes": ["sip", "PyQt4.*"]
                }
        }
)
